Instalar BloGTK en Debian Lenny sin volverse loco

Desde luego, casi me vuelvo loco, pero por fortuna no ha pasado a mayores.

Hace varios meses encontré un post (no recuerdo la página) en el que se comparaba, aunque de manera muy somera, las principales aplicaciones clientes de escritorio para Weblog (o blogs).

Aunque tengo preparado para dentro de poco un post hablando de los que he usado, quiero hacer primero una pequeña reseña sobre cómo logré instalar BloGTK.

Después de utilizar Gnome-Blog, un cliente extremadamente sencillo, intenté instalar BloGTK. El primero tiene la ventaja de estar en los repositorios oficiales de Debian, con lo que se instala en segundos. Sin embargo, BloGTK dejó de estar en Lenny, aunque sí estaba en Etch (su mantenedor dejó de mantener este paquete).

En primer lugar vamos a la página de BloGTK, y nos descargamos el tar.bz2.

Ahora lo descomprimimos:

tar -xjvf blogtk-2.0.tar.bz2

Si nos paramos en leer el README que viene con él, veremos que hay que instalar unas dependencias, fundamentalmente de Python:

BloGTK requires the following programs/libraries.

– Python 2.3 or higher (but BloGTK is not compatible with Python 3.0)
– PyGTK
– python-gnome2
– python-gnome2-extras
– python-gdata
– python-webkit
– python-feedparser

BloGTK will run under other environments (such as KDE) so long as all the
necessary libraries are installed.

¿Cuál es el problema? Casi todas las librerías ya estarán instaladas en nuestro sistema, dado que GNU/Debian Lenny es muy dependiente de Python. Sin embargo, no existe un paquete llamado python-webkit en Lenny, con lo que aquí comienza el periplo de hacer funcionar adecuadamente BloGTK.

Después de buscar mucho, resulta que hay quien fuerza la instalación desde los repositorios de Sid (versión unstable), pero a mí me parece una chapuza, no me gusta eso de mezclar estable + inestable y esperar que el sistema no “pete”.

Así pues, lo mejor es instalar poco a poco. Primero, instalaremos las dependencias desde los repositorios:

sudo apt-get install python-gnome2 python-gnome2-extras python-gdata python-feedparser

Casi con toda probabilidad, el sistema nos dirá que ya tenemos instalados esos paquetes. No obstante, nos falta python-webkit. Lo mejor es bajarse un backport:

wget http://www.vislab.uq.edu.au/debian/lenny/python-webkit_1.0.1-1_i386.deb

Y después lo instaremos:

sudo dpkg -i python-webkit_1.0.1-1_i386.deb

Si se quiere bajar la versión adecuada para la arquitectura del micro, basta con visitar la web desde donde se baja:

http://www.vislab.uq.edu.au/debian/lenny/

Y ahora sí, ya podremos entrar en el directorio donde descomprimimos BloGTK y hacer un make install como root.

cd /home/rafa/blogtk-2.0
sudo make install

Si todo ha salido bien, en el menú Internet nos aparecerá el icono de BloGTK. Que disfrutéis.

Publicado en: Aplicaciones, Debian, General, Recetas, Wordpress

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos necesarios están marcados *

*

Puedes usar las siguientes etiquetas y atributos HTML: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>